package org.bouncycastle.cms;

import java.security.Key;
import java.security.NoSuchProviderException;

public abstract class RecipientInformation
{
    protected RecipientId             rid = new RecipientId();

    public RecipientId getRID()
    {
        return rid;
    }

    abstract public byte[] getContent(Key key, String provider)
        throws CMSException, NoSuchProviderException;
}
